var in_BG = false;

IR.AddListener(IR.EVENT_START,0,function()
{
   IR.GetItem("Talking + Video").GetItem("my_camera").GetState(0).Image = "ir_camera://";
   IR.GetItem("Outgoing + Video").GetItem("my_camera").GetState(0).Image = "ir_camera://";
   IR.GetItem("My_camera").GetItem("my_stream").GetState(0).Image = "ir_camera://";
   IR.GetItem("My_camera").GetItem("my_stream").GetState(0).Image = "ir_camera://";
   
   IR.GetItem("Outgoing + Video").GetItem("Incoming_stream").GetState(0).Image = "sip_image://";
   IR.GetItem("Talking + Video").GetItem("Incoming_stream").GetState(0).Image = "sip_image://";
})

function CameraStart() 
{
   IR.Camera(IR.CAMERA_RECORD, IR.CAMERA_FRONT, IR.CAMERA_RESOLUTION_MEDIUM);
   //IR.Camera(IR.CAMERA_FLIP_VERTICAL, 1); 
}

function CameraStop() 
{
   IR.Camera(IR.CAMERA_STOP);
}

// SIP events handling 
   IR.AddListener(IR.EVENT_TAG_CHANGE, IR.GetDevice("SIP"), function(name, value) 
   {  
      if(name == 'INCOMING CALL')
      {
         if(value == 1)
         {
            IR.ShowPopup('Incoming');
            IR.PlaySound("Ringing.wav", 0, 50, true);
            
            if(in_BG)
               {
                  var number = IR.GetVariable("Drivers.SIP.INCOMING CALL NUMBER");
                  IR.SendNotification("Incoming call from " + number, 0, 2, 0, number);
               }
         }
         else
         {
            IR.HidePopup('Incoming');
            IR.StopSound("Ringing.wav");          
         }
      }
      if(name == 'STATUS')
      {
         if(value == 'Talking...')
         {
            IR.StopSound("Alerting.wav");
            
         } else if(value == 'On Hook...')
         {
            IR.StopSound("Alerting.wav");
            IR.HidePopup("Talking");
            IR.HidePopup("Outgoing");         
         }
      }
   });
   
   // when the application goes to the background
   IR.AddListener(IR.EVENT_APP_ENTER_BACKGROUND, 0, function()
   {
       in_BG = true;
   });
  
   // when the application comes to the foreground
   IR.AddListener(IR.EVENT_APP_ENTER_FOREGROUND, 0, function()
   {
       in_BG = false;
   });